Bug 1857502 - opm bundle validation fails to pull bundle images
Summary: opm bundle validation fails to pull bundle images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Nick Hale
QA Contact: kuiwang
URL:
Whiteboard:
Depends On:
Blocks: 1860124
TreeView+ depends on / blocked
 
Reported: 2020-07-16 03:08 UTC by Nick Hale
Modified: 2020-10-27 16:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bundle images are not pulled before attempting to unpack them. Consequence: `opm alpha bundle validate` fails with "image not found" or similar errors. Fix: Pull bundle images before attempting to unpack in the bundle validator. Result: `opm alpha bundle validate` successfully pulls and unpacks images before performing validation.
Clone Of:
: 1860124 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:14:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 390 0 None closed Bug 1857502: fix(validate): pull bundle images before unpacking 2021-02-08 14:55:31 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:15:04 UTC

Description Nick Hale 2020-07-16 03:08:48 UTC
Description of problem:

`opm alpha bundle validate` fails to pull bundle images


How reproducible: 

Always when option --image-builder=none, on first attempt when --image-builder=docker, --image-builder=podman unknown


Steps to Reproduce:

1. Connect to Red Hat's VPN
2. Run `opm alpha bundle validate --tag registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1`

Actual results:

The validation fails with the following output:

INFO[0000] Create a temp directory at /var/folders/st/9cskxqs53ll3wdn434vw4cd80000gn/T/bundle-527505490  container-tool=docker
DEBU[0000] Pulling and unpacking container image         container-tool=docker
INFO[0000] running docker create                         container-tool=docker
DEBU[0000] [docker create registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 ]  container-tool=docker
INFO[0001] running docker cp                             container-tool=docker
DEBU[0001] [docker cp Unable to find image 'registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1' locally
1.0.0-1: Pulling from rh-osbs/amq7-amq-streams-rhel7-operator-metadata
ec602282be3e: Pulling fs layer
ec602282be3e: Verifying Checksum
ec602282be3e: Download complete
ec602282be3e: Pull complete
Digest: sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5
Status: Downloaded newer image for registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1
4f7b9cdb149211248a4a9bf48a1220819079d55400e8059411b151c0b029a877:/. /var/folders/st/9cskxqs53ll3wdn434vw4cd80000gn/T/bundle-527505490]  container-tool=docker
ERRO[0001] Error: No such container:path: Unable to find image 'registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1' locally
1.0.0-1: Pulling from rh-osbs/amq7-amq-streams-rhel7-operator-metadata
ec602282be3e: Pulling fs layer
ec602282be3e: Verifying Checksum
ec602282be3e: Download complete
ec602282be3e: Pull complete
Digest: sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5
Status: Downloaded newer image for registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1
4f7b9cdb149211248a4a9bf48a1220819079d55400e8059411b151c0b029a877:/.  container-tool=docker
Error: error copying container directory Error: No such container:path: Unable to find image 'registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1' locally
1.0.0-1: Pulling from rh-osbs/amq7-amq-streams-rhel7-operator-metadata
ec602282be3e: Pulling fs layer
ec602282be3e: Verifying Checksum
ec602282be3e: Download complete
ec602282be3e: Pull complete
Digest: sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5
Status: Downloaded newer image for registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1
4f7b9cdb149211248a4a9bf48a1220819079d55400e8059411b151c0b029a877:/.
: exit status 1

Expected results:

The validation succeeds with exit code 0

Comment 3 kuiwang 2020-07-20 00:51:59 UTC
verify it with 4.6 opm. LGTM

---
[root@preserve-olm-env operator-registry]# git branch
* master
[root@preserve-olm-env operator-registry]# git log -n 1 -p
commit 6e502a23c5554efb88283578eac4c448f52175a1
Merge: 798b442 b0f00f1
Author: OpenShift Merge Robot <openshift-merge-robot@users.noreply.github.com>
Date:   Thu Jul 16 19:26:44 2020 -0400
 
    Merge pull request #390 from njhale/fix-validate
   
    Bug 1857502: fix(validate): pull bundle images before unpacking
[root@preserve-olm-env operator-registry]# go build ./cmd/opm/

[root@preserve-olm-env operator-registry]# podman version
Version:      2.0.2
API Version:  1
Go Version:   go1.13.11
Built:        Wed Dec 31 19:00:00 1969
OS/Arch:      linux/amd64


[root@preserve-olm-env operator-registry]# docker version
Client: Docker Engine - Community
 Version:           19.03.9
 API version:       1.40
 Go version:        go1.13.10
 Git commit:        9d988398e7
 Built:             Fri May 15 00:25:27 2020
 OS/Arch:           linux/amd64
 Experimental:      false

Server: Docker Engine - Community
 Engine:
  Version:          19.03.9
  API version:      1.40 (minimum version 1.12)
  Go version:       go1.13.10
  Git commit:       9d988398e7
  Built:            Fri May 15 00:24:05 2020
  OS/Arch:          linux/amd64
  Experimental:     false
 containerd:
  Version:          1.2.13
  GitCommit:        7ad184331fa3e55e52b890ea95e65ba581ae3429
 runc:
  Version:          1.0.0-rc10
  GitCommit:        dc9208a3303feef5b3839f4323d9beb36df0a9dd
 docker-init:
  Version:          0.18.0
  GitCommit:        fec3683



[root@preserve-olm-env operator-registry]# ./opm alpha bundle validate --tag registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1
INFO[0000] Create a temp directory at /tmp/bundle-681598899  container-tool=docker
DEBU[0000] Pulling and unpacking container image         container-tool=docker
INFO[0000] running /usr/bin/docker pull registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1  container-tool=docker
INFO[0000] running docker create                         container-tool=docker
DEBU[0000] [docker create registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 ]  container-tool=docker
INFO[0001] running docker cp                             container-tool=docker
DEBU[0001] [docker cp bfff2eb01ff8072acf09666cb47181550fb123b84722d9555cedd3e69b287b3f:/. /tmp/bundle-681598899]  container-tool=docker
INFO[0001] running docker rm                             container-tool=docker
DEBU[0001] [docker rm bfff2eb01ff8072acf09666cb47181550fb123b84722d9555cedd3e69b287b3f]  container-tool=docker
INFO[0001] Unpacked image layers, validating bundle image format & contents  container-tool=docker
DEBU[0001] Found manifests directory                     container-tool=docker
DEBU[0001] Found metadata directory                      container-tool=docker
DEBU[0001] Getting mediaType info from manifests directory  container-tool=docker
INFO[0001] Found annotations file                        container-tool=docker
INFO[0001] Could not find optional dependencies file     container-tool=docker
DEBU[0001] Validating bundle contents                    container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafka.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnect.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnects2i.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkamirrormaker.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkatopic.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkauser.crd.yaml"  container-tool=docker
DEBU[0001] Validating "operators.coreos.com/v1alpha1, Kind=ClusterServiceVersion" from file "amq-streams.v1.0.0.clusterserviceversion.yaml"  container-tool=docker

[root@preserve-olm-env operator-registry]# ./opm alpha bundle validate --tag registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 --image-builder=docker
INFO[0000] Create a temp directory at /tmp/bundle-108768936  container-tool=docker
DEBU[0000] Pulling and unpacking container image         container-tool=docker
INFO[0000] running /usr/bin/docker pull registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1  container-tool=docker
INFO[0000] running docker create                         container-tool=docker
DEBU[0000] [docker create registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 ]  container-tool=docker
INFO[0000] running docker cp                             container-tool=docker
DEBU[0000] [docker cp 8e49d61128740d162f6fef54f07acf3ca7d5ca6b75840be2bd9c5a202fcdcb9d:/. /tmp/bundle-108768936]  container-tool=docker
INFO[0001] running docker rm                             container-tool=docker
DEBU[0001] [docker rm 8e49d61128740d162f6fef54f07acf3ca7d5ca6b75840be2bd9c5a202fcdcb9d]  container-tool=docker
INFO[0001] Unpacked image layers, validating bundle image format & contents  container-tool=docker
DEBU[0001] Found manifests directory                     container-tool=docker
DEBU[0001] Found metadata directory                      container-tool=docker
DEBU[0001] Getting mediaType info from manifests directory  container-tool=docker
INFO[0001] Found annotations file                        container-tool=docker
INFO[0001] Could not find optional dependencies file     container-tool=docker
DEBU[0001] Validating bundle contents                    container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafka.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnect.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnects2i.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkamirrormaker.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkatopic.crd.yaml"  container-tool=docker
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkauser.crd.yaml"  container-tool=docker
DEBU[0001] Validating "operators.coreos.com/v1alpha1, Kind=ClusterServiceVersion" from file "amq-streams.v1.0.0.clusterserviceversion.yaml"  container-tool=docker
INFO[0001] All validation tests have been completed successfully  container-tool=docker

[root@preserve-olm-env operator-registry]# ./opm alpha bundle validate --tag registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 --image-builder=none
INFO[0000] Create a temp directory at /tmp/bundle-980616958  container-tool=none
DEBU[0000] Pulling and unpacking container image         container-tool=none
DEBU[0000] resolving                                     host=registry-proxy.engineering.redhat.com
DEBU[0000] do request                                    host=registry-proxy.engineering.redhat.com request.header.accept="application/vnd.docker.distribution.manifest.v2+json, application/vnd.docker.distribution.manifest.list.v2+json, application/vnd.oci.image.manifest.v1+json, application/vnd.oci.image.index.v1+json, */*" request.header.user-agent=opm/alpha request.method=HEAD url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/1.0.0-1"
DEBU[0000] fetch response received                       host=registry-proxy.engineering.redhat.com response.header.content-length=112 response.header.content-type=application/json response.header.date="Fri, 17 Jul 2020 08:31:16 GMT" response.header.docker-distribution-api-version=registry/2.0 response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=d7f2656175ea788f43cee223a5720d5b; path=/; HttpOnly; Secure" response.header.www-authenticate="Bearer realm=\"https://registry-proxy.engineering.redhat.com/v2/auth\"" response.status="401 UNAUTHORIZED" url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/1.0.0-1"
DEBU[0000] Unauthorized                                  header="Bearer realm=\"https://registry-proxy.engineering.redhat.com/v2/auth\"" host=registry-proxy.engineering.redhat.com
DEBU[0000] do request                                    host=registry-proxy.engineering.redhat.com request.header.accept="application/vnd.docker.distribution.manifest.v2+json, application/vnd.docker.distribution.manifest.list.v2+json, application/vnd.oci.image.manifest.v1+json, application/vnd.oci.image.index.v1+json, */*" request.header.user-agent=opm/alpha request.method=HEAD url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/1.0.0-1"
DEBU[0000] fetch response received                       host=registry-proxy.engineering.redhat.com response.header.cache-control=private response.header.content-length=464 response.header.content-type=application/vnd.docker.distribution.manifest.list.v2+json response.header.date="Fri, 17 Jul 2020 08:31:17 GMT" response.header.docker-content-digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" response.header.docker-distribution-api-version=registry/2.0 response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=8bde8d4a7651541adeb7402cfd73351a; path=/; HttpOnly; Secure" response.header.strict-transport-security="max-age=63072000; preload" response.header.www-authenticate="Bearer realm=\"https://registry-proxy.engineering.redhat.com/v2/auth\"" response.header.x-frame-options=DENY response.status="200 OK" url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/1.0.0-1"
DEBU[0000] resolved                                      desc.digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" host=registry-proxy.engineering.redhat.com
INFO[0000] resolved name: registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1  container-tool=none
INFO[0000] fetched                                       container-tool=none digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5"
DEBU[0000] {application/vnd.docker.distribution.manifest.list.v2+json sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5 464 [] map[] <nil>}  container-tool=none
DEBU[0000] fetch                                         digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" mediatype=application/vnd.docker.distribution.manifest.list.v2+json size=464
DEBU[0000] do request                                    digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" mediatype=application/vnd.docker.distribution.manifest.list.v2+json request.header.accept="application/vnd.docker.distribution.manifest.list.v2+json, */*" request.header.user-agent=opm/alpha request.method=GET size=464 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5"
DEBU[0000] fetch response received                       digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" mediatype=application/vnd.docker.distribution.manifest.list.v2+json response.header.cache-control=private response.header.content-length=464 response.header.content-type=application/vnd.docker.distribution.manifest.list.v2+json response.header.date="Fri, 17 Jul 2020 08:31:17 GMT" response.header.docker-content-digest="sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5" response.header.docker-distribution-api-version=registry/2.0 response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=607ff65ff6bb92f441fd9cccc346c2c3; path=/; HttpOnly; Secure" response.header.strict-transport-security="max-age=63072000; preload" response.header.www-authenticate="Bearer realm=\"https://registry-proxy.engineering.redhat.com/v2/auth\"" response.header.x-frame-options=DENY response.status="200 OK" size=464 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/sha256:8a4194473c8963f4419a0546b324995025147993bf2b583bab01207b601b85f5"
INFO[0000] fetched                                       container-tool=none digest="sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d"
DEBU[0000] {application/vnd.docker.distribution.manifest.v2+json sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d 526 [] map[] 0xc0000aae40}  container-tool=none
DEBU[0000] fetch                                         digest="sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d" mediatype=application/vnd.docker.distribution.manifest.v2+json size=526
DEBU[0000] do request                                    digest="sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d" mediatype=application/vnd.docker.distribution.manifest.v2+json request.header.accept="application/vnd.docker.distribution.manifest.v2+json, */*" request.header.user-agent=opm/alpha request.method=GET size=526 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d"
DEBU[0000] fetch response received                       digest="sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d" mediatype=application/vnd.docker.distribution.manifest.v2+json response.header.cache-control=private response.header.content-length=526 response.header.content-type=application/vnd.docker.distribution.manifest.v2+json response.header.date="Fri, 17 Jul 2020 08:31:17 GMT" response.header.docker-content-digest="sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d" response.header.docker-distribution-api-version=registry/2.0 response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=164493e7e8b19eb674117c7c51eb6cbf; path=/; HttpOnly; Secure" response.header.strict-transport-security="max-age=63072000; preload" response.header.www-authenticate="Bearer realm=\"https://registry-proxy.engineering.redhat.com/v2/auth\"" response.header.x-frame-options=DENY response.status="200 OK" size=526 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/manifests/sha256:25b8153b1f5cace8963715dad8019b07fbbc2501d42fb21b189193baa596a41d"
INFO[0000] fetched                                       container-tool=none digest="sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a"
DEBU[0000] {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a 18303 [] map[] <nil>}  container-tool=none
INFO[0000] fetched                                       container-tool=none digest="sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842"
DEBU[0000] fetch                                         digest="sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a" mediatype=application/vnd.docker.image.rootfs.diff.tar.gzip size=18303
DEBU[0000] {application/vnd.docker.container.image.v1+json sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842 4275 [] map[] <nil>}  container-tool=none
DEBU[0000] fetch                                         digest="sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842" mediatype=application/vnd.docker.container.image.v1+json size=4275
DEBU[0000] do request                                    digest="sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a" mediatype=application/vnd.docker.image.rootfs.diff.tar.gzip request.header.accept="application/vnd.docker.image.rootfs.diff.tar.gzip, */*" request.header.user-agent=opm/alpha request.method=GET size=18303 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/blobs/sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a"
DEBU[0000] do request                                    digest="sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842" mediatype=application/vnd.docker.container.image.v1+json request.header.accept="application/vnd.docker.container.image.v1+json, */*" request.header.user-agent=opm/alpha request.method=GET size=4275 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/blobs/sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842"
DEBU[0000] fetch response received                       digest="sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a" mediatype=application/vnd.docker.image.rootfs.diff.tar.gzip response.header.accept-ranges=bytes response.header.cache-control=private response.header.content-length=18303 response.header.content-type=binary/octet-stream response.header.date="Fri, 17 Jul 2020 08:31:17 GMT" response.header.etag="\"9acfe292d8d12209ec684e37672bd1b7-1\"" response.header.last-modified="Fri, 24 Apr 2020 16:24:16 GMT" response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=6adf6de48c0b52ba2b18ee7db28554cc; path=/; HttpOnly; Secure" response.header.via="1.1 170a9cb5b4951d3141f3cdf6b50b780c.cloudfront.net (CloudFront)" response.header.x-amz-cf-id="qIUXuUp0M1_DAnNIHjNQvuYWOeYrHNxum64-Xut0VhMwbjoaABjXZw==" response.header.x-amz-cf-pop=IAD79-C2 response.header.x-amz-replication-status=REPLICA response.header.x-amz-server-side-encryption=AES256 response.header.x-amz-storage-class=INTELLIGENT_TIERING response.header.x-amz-version-id=chWO4lqsqgix5uK1z3iBvPf_ZnSf0uIJ response.header.x-cache="Miss from cloudfront" response.status="200 OK" size=18303 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/blobs/sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a"
DEBU[0000] fetch response received                       digest="sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842" mediatype=application/vnd.docker.container.image.v1+json response.header.accept-ranges=bytes response.header.age=55 response.header.cache-control=private response.header.content-length=4275 response.header.content-type=binary/octet-stream response.header.date="Fri, 17 Jul 2020 08:31:17 GMT" response.header.etag="\"37809ce176b60c71cde2f73698dd8bc8-1\"" response.header.last-modified="Fri, 24 Apr 2020 16:24:19 GMT" response.header.server=nginx/1.12.1 response.header.set-cookie="e78173cf68a07c2689cf2c5497bbc335=4ffd5fbab68ffebf1e7ee5169e92463c; path=/; HttpOnly; Secure" response.header.via="1.1 5f96bc4a22f6baa91bf4a4bb246e4ff9.cloudfront.net (CloudFront)" response.header.x-amz-cf-id="6Li1VP3g28M1vwP2Jt7OCFFs1squ_g2Hf43rLBE5PuUD2m_RT0dOQA==" response.header.x-amz-cf-pop=IAD79-C2 response.header.x-amz-replication-status=REPLICA response.header.x-amz-server-side-encryption=AES256 response.header.x-amz-storage-class=INTELLIGENT_TIERING response.header.x-amz-version-id=u860YRyudhAQ1jnRq7pEsfSrtE8MqwXS response.header.x-cache="Hit from cloudfront" response.status="200 OK" size=4275 url="https://registry-proxy.engineering.redhat.com/v2/rh-osbs/amq7-amq-streams-rhel7-operator-metadata/blobs/sha256:a4f15901700c9d5fdcae927b3ac315329e74964e9939f94ba79cc5de5667a842"
INFO[0000] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:ec602282be3e3b7a7bb0fa35412f463b857bc118849a2cf24a5af101ab17557a 18303 [] map[] <nil>}  container-tool=none
DEBU[0000] unpigz not found, falling back to go gzip     error="exec: \"unpigz\": executable file not found in $PATH"
INFO[0000] Unpacked image layers, validating bundle image format & contents  container-tool=none
DEBU[0000] Found manifests directory                     container-tool=none
DEBU[0000] Found metadata directory                      container-tool=none
DEBU[0000] Getting mediaType info from manifests directory  container-tool=none
INFO[0000] Found annotations file                        container-tool=none
INFO[0000] Could not find optional dependencies file     container-tool=none
DEBU[0000] Validating bundle contents                    container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafka.crd.yaml"  container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnect.crd.yaml"  container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnects2i.crd.yaml"  container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkamirrormaker.crd.yaml"  container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkatopic.crd.yaml"  container-tool=none
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkauser.crd.yaml"  container-tool=none
DEBU[0001] Validating "operators.coreos.com/v1alpha1, Kind=ClusterServiceVersion" from file "amq-streams.v1.0.0.clusterserviceversion.yaml"  container-tool=none


[root@preserve-olm-env operator-registry]# ./opm alpha bundle validate --tag registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 --image-builder=podman
INFO[0000] Create a temp directory at /tmp/bundle-288610694  container-tool=podman
DEBU[0000] Pulling and unpacking container image         container-tool=podman
INFO[0000] running /usr/bin/podman pull registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1  container-tool=podman
INFO[0000] running podman create                         container-tool=podman
DEBU[0000] [podman create registry-proxy.engineering.redhat.com/rh-osbs/amq7-amq-streams-rhel7-operator-metadata:1.0.0-1 ]  container-tool=podman
INFO[0001] running podman cp                             container-tool=podman
DEBU[0001] [podman cp 3dcac1aaf78bd0cdfd294e8f217d05200f032b83d007dfc68bebdb66f0257ce8:/. /tmp/bundle-288610694]  container-tool=podman
INFO[0001] running podman rm                             container-tool=podman
DEBU[0001] [podman rm 3dcac1aaf78bd0cdfd294e8f217d05200f032b83d007dfc68bebdb66f0257ce8]  container-tool=podman
INFO[0001] Unpacked image layers, validating bundle image format & contents  container-tool=podman
DEBU[0001] Found manifests directory                     container-tool=podman
DEBU[0001] Found metadata directory                      container-tool=podman
DEBU[0001] Getting mediaType info from manifests directory  container-tool=podman
INFO[0001] Found annotations file                        container-tool=podman
INFO[0001] Could not find optional dependencies file     container-tool=podman
DEBU[0001] Validating bundle contents                    container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafka.crd.yaml"  container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnect.crd.yaml"  container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkaconnects2i.crd.yaml"  container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkamirrormaker.crd.yaml"  container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkatopic.crd.yaml"  container-tool=podman
DEBU[0001] Validating "apiextensions.k8s.io/v1beta1, Kind=CustomResourceDefinition" from file "amq-streams-kafkauser.crd.yaml"  container-tool=podman
DEBU[0001] Validating "operators.coreos.com/v1alpha1, Kind=ClusterServiceVersion" from file "amq-streams.v1.0.0.clusterserviceversion.yaml"  container-tool=podman
INFO[0001] All validation tests have been completed successfully  container-tool=podman

---

Comment 5 errata-xmlrpc 2020-10-27 16:14:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.